Bug 1291742 (CVE-2015-8861, CVE-2015-8862) - CVE-2015-8862 CVE-2015-8861 mustache: handlebars: Quoteless Attributes in Templates can lead to Content Injection
Summary: CVE-2015-8862 CVE-2015-8861 mustache: handlebars: Quoteless Attributes in Tem...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2015-8861, CVE-2015-8862
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20151214,repor...
: 1295755 (view as bug list)
Depends On: 1291743 1291744
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-15 14:27 UTC by Martin Prpič
Modified: 2019-06-08 20:53 UTC (History)
2 users (show)

Fixed In Version: mustache 2.2.1, handlebars 4.0.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:46:34 UTC


Attachments (Terms of Use)

Description Martin Prpič 2015-12-15 14:27:49 UTC
The handlebars node module is missing some characters in its escaping mechanisms, allowing for possible XSS. This flaw also affects other modules, notably mustache, that implement the same logic.

CVE request:

http://seclists.org/oss-sec/2015/q4/472

External References:

https://blog.srcclr.com/handlebars_vulnerability_research_findings/

Comment 1 Martin Prpič 2015-12-15 14:28:21 UTC
Created nodejs-handlebars tracking bugs for this issue:

Affects: fedora-all [bug 1291744]

Comment 2 Martin Prpič 2015-12-15 14:28:27 UTC
Created nodejs-mustache tracking bugs for this issue:

Affects: fedora-all [bug 1291743]

Comment 3 Fedora Update System 2015-12-28 22:57:32 UTC
nodejs-handlebars-4.0.5-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-12-28 23:53:07 UTC
nodejs-handlebars-4.0.5-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-12-31 23:27:24 UTC
nodejs-handlebars-4.0.5-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-01-01 00:26:35 UTC
nodejs-handlebars-4.0.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Adam Mariš 2016-01-05 12:13:38 UTC
*** Bug 1295755 has been marked as a duplicate of this bug. ***

Comment 9 Product Security DevOps Team 2019-06-08 02:46:34 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.